package ink.wgink.module.map.pojo.pos.grid;

import java.io.Serializable;

/**
 * @ClassName: GridPO
 * @Description: 网格
 * @Author: wanggeng
 * @Date: 2021/10/19 11:33 下午
 * @Version: 1.0
 */
public class GridPO implements Serializable {
    private static final long serialVersionUID = -5995673062067526517L;
    private Long id;
    private String gridId;
    private String gridName;
    private String gridSummary;
    private String gridGroupId;
    private String gridDuty;
    private String gridCode;
    private Double gridSquare;
    private String areaCode;
    private String areaName;
    private String fillColor;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public Long getId() {
        return id == null ? 0 : id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGridId() {
        return gridId == null ? "" : gridId.trim();
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getGridName() {
        return gridName == null ? "" : gridName.trim();
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridSummary() {
        return gridSummary == null ? "" : gridSummary.trim();
    }

    public void setGridSummary(String gridSummary) {
        this.gridSummary = gridSummary;
    }

    public String getGridGroupId() {
        return gridGroupId == null ? "" : gridGroupId.trim();
    }

    public void setGridGroupId(String gridGroupId) {
        this.gridGroupId = gridGroupId;
    }

    public String getGridDuty() {
        return gridDuty == null ? "" : gridDuty.trim();
    }

    public void setGridDuty(String gridDuty) {
        this.gridDuty = gridDuty;
    }

    public String getGridCode() {
        return gridCode == null ? "" : gridCode.trim();
    }

    public void setGridCode(String gridCode) {
        this.gridCode = gridCode;
    }

    public Double getGridSquare() {
        return gridSquare == null ? 0 : gridSquare;
    }

    public void setGridSquare(Double gridSquare) {
        this.gridSquare = gridSquare;
    }

    public String getAreaCode() {
        return areaCode == null ? "" : areaCode.trim();
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName.trim();
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getFillColor() {
        return fillColor == null ? "" : fillColor.trim();
    }

    public void setFillColor(String fillColor) {
        this.fillColor = fillColor;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
